package com.waytous.anticollision.ui.view

import android.content.Context
import androidx.navigation.NavController
import com.waytous.anticollision.R
import com.waytous.anticollision.databinding.PopupMoreFeaturesBinding
import razerdp.basepopup.BasePopupWindow

class MoreFeaturesPopup(context: Context?) : BasePopupWindow(context) {

    var popupMoreFeaturesBinding: PopupMoreFeaturesBinding
    init {
        contentView = createPopupById(R.layout.popup_more_features)
        popupMoreFeaturesBinding = PopupMoreFeaturesBinding.bind(contentView)
    }
    fun navigationTo(navController: NavController){
        popupMoreFeaturesBinding.moreFeatureCollect.setOnClickListener {
            dismiss()
            navController.navigate(R.id.collectFragment)
        }
    }
}